Package com.avaya.clientservices.call

## Enum MediaProtocolType

- java.lang.Object
- - java.lang.Enum<MediaProtocolType>
  - - com.avaya.clientservices.call.MediaProtocolType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MediaProtocolType>`

      public enum MediaProtocolType
      extends java.lang.Enum<MediaProtocolType>

  Supported media protocol types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `RTP_AVP` | Basic profile
    `RTP_AVPF` | RTP feedback profile as per RFC 4585
    `RTP_SAVP` | Secure profile, to support SRTP
    `RTP_SAVPF` | Secure RTP and feedback profile
    `TCP_BFCP` | Binary Floor Control Protocol (BFCP) over TCP
    `TLS_BFCP` | Binary Floor Control Protocol (BFCP) over TCP TLS
    `TLS_RTP_AVP` | RTP Media over TCP TLS
    `TLS_RTP_SAVP` | SRTP Media over TCP TLS
    `UDP_BFCP` | Binary Floor Control Protocol (BFCP) over UDP
    `UNKNOWN` | Unknown protocol

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MediaProtocolType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MediaProtocolType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final MediaProtocolType UNKNOWN

      Unknown protocol

    - #### RTP_AVP

          public static final MediaProtocolType RTP_AVP

      Basic profile

    - #### RTP_SAVP

          public static final MediaProtocolType RTP_SAVP

      Secure profile, to support SRTP

    - #### RTP_AVPF

          public static final MediaProtocolType RTP_AVPF

      RTP feedback profile as per RFC 4585

    - #### RTP_SAVPF

          public static final MediaProtocolType RTP_SAVPF

      Secure RTP and feedback profile

    - #### TCP_BFCP

          public static final MediaProtocolType TCP_BFCP

      Binary Floor Control Protocol (BFCP) over TCP

    - #### TLS_BFCP

          public static final MediaProtocolType TLS_BFCP

      Binary Floor Control Protocol (BFCP) over TCP TLS

    - #### UDP_BFCP

          public static final MediaProtocolType UDP_BFCP

      Binary Floor Control Protocol (BFCP) over UDP

    - #### TLS_RTP_AVP

          public static final MediaProtocolType TLS_RTP_AVP

      RTP Media over TCP TLS

    - #### TLS_RTP_SAVP

          public static final MediaProtocolType TLS_RTP_SAVP

      SRTP Media over TCP TLS

  - ### Method Detail

    - #### values

          public static MediaProtocolType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MediaProtocolType c : MediaProtocolType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MediaProtocolType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null